Package org.codehaus.commons.compiler.util

# Class StringUtil

java.lang.Object
org.codehaus.commons.compiler.util.StringUtil

public final class StringUtil extends Object
Utility methods related to `String`.

## Method Summary

Modifier and Type
Method
Description
`static File[]`
`parseOptionalPath(String s)`
Same as `parsePath(String)`, but returns `null` iff s `== null`.
`static File[]`
`parsePath(String s)`
Breaks a given string up by the system-dependent path-separator character (on UNIX systems, this character is ":"; on Microsoft Windows systems it is ";").

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### parsePath

public static File[] parsePath(String s)
Breaks a given string up by the system-dependent path-separator character (on UNIX systems, this character is ":"; on Microsoft Windows systems it is ";"). Empty components are ignored.

UNIX Examples:

A:B:C
  A, B, C
::B:
  B
:A
  A
(Empty string)
  (Zero components)

See Also:
  - `File.pathSeparatorChar`

### parseOptionalPath

@Nullable public static File[] parseOptionalPath(@Nullable String s)
Same as `parsePath(String)`, but returns `null` iff s `== null`.